Index: src/main/java/net/sf/ehcache/Element.java
===================================================================
--- src/main/java/net/sf/ehcache/Element.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/Element.java	(working copy)
@@ -24,8 +24,9 @@
 import java.io.ObjectInputStream;
 import java.io.ObjectOutputStream;
 import java.io.Serializable;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A Cache Element, consisting of a key, value and attributes.
@@ -45,7 +46,7 @@
      */
     private static final long serialVersionUID = 3343087714201120157L;
 
-    private static final Logger LOG = Logger.getLogger(Element.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(Element.class);
 
     private static final long ONE_SECOND = 1000L;
 
@@ -462,11 +463,9 @@
             ois = new ObjectInputStream(bin);
             newValue = (Serializable) ois.readObject();
         } catch (IOException e) {
-            LOG.log(Level.SEVERE, "Error cloning Element with key " + key
-                    + " during serialization and deserialization of value");
+            LOG.error("Error cloning Element with key {} during serialization and deserialization of value", key);
         } catch (ClassNotFoundException e) {
-            LOG.log(Level.SEVERE, "Error cloning Element with key " + key
-                    + " during serialization and deserialization of value");
+            LOG.error("Error cloning Element with key {} during serialization and deserialization of value", key);
         } finally {
             try {
                 if (oos != null) {
@@ -476,7 +475,7 @@
                     ois.close();
                 }
             } catch (Exception e) {
-                LOG.log(Level.SEVERE, "Error closing Stream");
+                LOG.error("Error closing Stream");
             }
         }
         return newValue;
@@ -507,14 +506,14 @@
             size = bout.size();
             return size;
         } catch (IOException e) {
-            LOG.log(Level.FINE, "Error measuring element size for element with key " + key + ". Cause was: " + e.getMessage());
+            LOG.debug("Error measuring element size for element with key {}. Cause was: {}", key, e.getMessage());
         } finally {
             try {
                 if (oos != null) {
                     oos.close();
                 }
             } catch (Exception e) {
-                LOG.log(Level.SEVERE, "Error closing ObjectOutputStream");
+                LOG.error("Error closing ObjectOutputStream");
             }
         }
 
Index: src/main/java/net/sf/ehcache/Cache.java
===================================================================
--- src/main/java/net/sf/ehcache/Cache.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/Cache.java	(working copy)
@@ -16,21 +16,6 @@
 
 package net.sf.ehcache;
 
-import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
-import net.sf.ehcache.config.CacheConfiguration;
-import net.sf.ehcache.config.DiskStoreConfiguration;
-import net.sf.ehcache.event.CacheEventListener;
-import net.sf.ehcache.event.RegisteredEventListeners;
-import net.sf.ehcache.exceptionhandler.CacheExceptionHandler;
-import net.sf.ehcache.extension.CacheExtension;
-import net.sf.ehcache.loader.CacheLoader;
-import net.sf.ehcache.store.DiskStore;
-import net.sf.ehcache.store.LruMemoryStore;
-import net.sf.ehcache.store.MemoryStore;
-import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
-import net.sf.ehcache.store.Policy;
-import net.sf.ehcache.store.Store;
-
 import java.io.IOException;
 import java.io.Serializable;
 import java.net.InetAddress;
@@ -51,8 +36,24 @@
 import java.util.concurrent.ThreadPoolExecutor;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.atomic.AtomicLong;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
+import net.sf.ehcache.config.CacheConfiguration;
+import net.sf.ehcache.config.DiskStoreConfiguration;
+import net.sf.ehcache.event.CacheEventListener;
+import net.sf.ehcache.event.RegisteredEventListeners;
+import net.sf.ehcache.exceptionhandler.CacheExceptionHandler;
+import net.sf.ehcache.extension.CacheExtension;
+import net.sf.ehcache.loader.CacheLoader;
+import net.sf.ehcache.store.DiskStore;
+import net.sf.ehcache.store.LruMemoryStore;
+import net.sf.ehcache.store.MemoryStore;
+import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
+import net.sf.ehcache.store.Policy;
+import net.sf.ehcache.store.Store;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Cache is the central class in ehcache. Caches have {@link Element}s and are managed
@@ -126,7 +127,7 @@
      */
     private static final int DEFAULT_SPOOL_BUFFER_SIZE = 30;
 
-    private static final Logger LOG = Logger.getLogger(Cache.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(Cache.class);
 
     private static final MemoryStoreEvictionPolicy DEFAULT_MEMORY_STORE_EVICTION_POLICY = MemoryStoreEvictionPolicy.LRU;
 
@@ -145,9 +146,9 @@
         try {
             localhost = InetAddress.getLocalHost();
         } catch (UnknownHostException e) {
-            LOG.log(Level.SEVERE, "Unable to set localhost. This prevents creation of a GUID. Cause was: " + e.getMessage(), e);
+            LOG.error("Unable to set localhost. This prevents creation of a GUID. Cause was: " + e.getMessage(), e);
         } catch (java.lang.NoClassDefFoundError e) {
-            LOG.log(Level.FINE, "InetAddress is being blocked by your runtime environment. e.g. Google App Engine." +
+            LOG.debug("InetAddress is being blocked by your runtime environment. e.g. Google App Engine." +
                     " Ehcache will work as a local cache.");
         }
     }
@@ -289,9 +290,9 @@
                  long diskExpiryThreadIntervalSeconds) {
         this(name, maxElementsInMemory, DEFAULT_MEMORY_STORE_EVICTION_POLICY, overflowToDisk, null,
                 eternal, timeToLiveSeconds, timeToIdleSeconds, diskPersistent, diskExpiryThreadIntervalSeconds, null, null);
-        LOG.log(Level.WARNING, "An API change between ehcache-1.1 and ehcache-1.2 results in the persistence path being set to " +
-                DiskStoreConfiguration.getDefaultPath() + " when the ehcache-1.1 constructor is used. " +
-                "Please change to the 1.2 constructor.");
+        LOG.warn("An API change between ehcache-1.1 and ehcache-1.2 results in the persistence path being set to {}" +
+                " when the ehcache-1.1 constructor is used. Please change to the 1.2 constructor.",
+                 DiskStoreConfiguration.getDefaultPath());
     }
 
 
@@ -631,11 +632,9 @@
             }
 
             if (configuration.getMaxElementsInMemory() == 0) {
-                if (LOG.isLoggable(Level.WARNING)) {
-                    LOG.log(Level.WARNING, "Cache: " + configuration.getName()
-                            + " has a maxElementsInMemory of 0. It is strongly recommended to " +
-                            "have a maximumSize of at least 1. Performance is halved by not using a MemoryStore.");
-                }
+                LOG.warn("Cache: {} has a maxElementsInMemory of 0. It is strongly recommended to " +
+                        "have a maximumSize of at least 1. Performance is halved by not using a MemoryStore.",
+                        configuration.getName());
             }
 
             this.diskStore = createDiskStore();
@@ -650,15 +649,12 @@
             initialiseRegisteredCacheLoaders();
         }
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Initialised cache: " + configuration.getName());
-        }
+        LOG.debug("Initialised cache: {}", configuration.getName());
 
         if (disabled) {
-            if (LOG.isLoggable(Level.WARNING)) {
-                LOG.log(Level.WARNING, "Cache: " + configuration.getName() + " is disabled because the " + NET_SF_EHCACHE_DISABLED
-                        + " property was set to true. No elements will be added to the cache.");
-            }
+            LOG.warn("Cache: {} is disabled because the property was set to true. No elements will " +
+                    "be added to the cache.",
+                    configuration.getName(), NET_SF_EHCACHE_DISABLED);
         }
     }
 
@@ -765,8 +761,8 @@
 
         if (element == null) {
             if (doNotNotifyCacheReplicators) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.fine("Element from replicated put is null. This happens because the element is a SoftReference" +
+                if (LOG.isDebugEnabled()) {
+                    LOG.debug("Element from replicated put is null. This happens because the element is a SoftReference" +
                             " and it has been collected.Increase heap memory on the JVM or set -Xms to be the same as " +
                             "-Xmx to avoid this problem.");
                 }
@@ -906,9 +902,7 @@
         }
         if (element == null) {
             missCountNotFound.incrementAndGet();
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.fine(configuration.getName() + " cache - Miss");
-            }
+            LOG.debug("{} cache - Miss", configuration.getName());
         } else {
             hitCount.incrementAndGet();
         }
@@ -979,17 +973,13 @@
      */
     public void load(final Object key) throws CacheException {
         if (registeredCacheLoaders.size() == 0) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.fine("The CacheLoader is null. Returning.");
-            }
+            LOG.debug("The CacheLoader is null. Returning.");
             return;
         }
 
         boolean existsOnCall = isKeyInCache(key);
         if (existsOnCall) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "The key " + key + " exists in the cache. Returning.");
-            }
+            LOG.debug("The key {} exists in the cache. Returning.", key);
             return;
         }
 
@@ -1102,9 +1092,7 @@
     public void loadAll(final Collection keys, final Object argument) throws CacheException {
 
         if (registeredCacheLoaders.size() == 0) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "The CacheLoader is null. Returning.");
-            }
+            LOG.debug("The CacheLoader is null. Returning.");
             return;
         }
         if (keys == null) {
@@ -1263,9 +1251,7 @@
         }
         if (element != null) {
             if (isExpired(element)) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, configuration.getName() + " Memory cache hit, but element expired");
-                }
+                LOG.debug("{} Memory cache hit, but element expired", configuration.getName());
                 if (updateStatistics) {
                     missCountExpired.incrementAndGet();
                 }
@@ -1293,9 +1279,7 @@
         }
         if (element != null) {
             if (isExpired(element)) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, configuration.getName() + " cache - Disk Store hit, but element expired");
-                }
+                LOG.debug("{} cache - Disk Store hit, but element expired", configuration.getName());
                 missCountExpired.incrementAndGet();
                 remove(key, true, notifyListeners, false);
                 element = null;
@@ -2313,8 +2297,8 @@
                         }
                     }
                 } catch (Throwable e) {
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, "Problem during load. Load will not be completed. Cause was " + e.getCause(), e);
+                    if (LOG.isDebugEnabled()) {
+                        LOG.debug("Problem during load. Load will not be completed. Cause was " + e.getCause(), e);
                     }
                     throw new CacheException("Problem during load. Load will not be completed. Cause was " + e.getCause(), e);
                 }
@@ -2370,8 +2354,8 @@
                         put(new Element(key, map.get(key)));
                     }
                 } catch (Throwable e) {
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, "Problem during load. Load will not be completed. Cause was " + e.getCause(), e);
+                    if (LOG.isDebugEnabled()) {
+                        LOG.debug("Problem during load. Load will not be completed. Cause was " + e.getCause(), e);
                     }
                 }
             }
Index: src/main/java/net/sf/ehcache/distribution/RMICacheManagerPeerProviderFactory.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/RMICacheManagerPeerProviderFactory.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/RMICacheManagerPeerProviderFactory.java	(working copy)
@@ -16,16 +16,17 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.util.PropertyUtil;
-
 import java.io.IOException;
 import java.net.InetAddress;
 import java.util.Properties;
 import java.util.StringTokenizer;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.util.PropertyUtil;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Builds a factory based on RMI
@@ -35,7 +36,7 @@
  */
 public class RMICacheManagerPeerProviderFactory extends CacheManagerPeerProviderFactory {
 
-    private static final Logger LOG = Logger.getLogger(RMICacheManagerPeerProviderFactory.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMICacheManagerPeerProviderFactory.class);
 
     private static final String HOST_NAME = "hostName";
     private static final String PEER_DISCOVERY = "peerDiscovery";
@@ -75,7 +76,7 @@
     protected CacheManagerPeerProvider createManuallyConfiguredCachePeerProvider(Properties properties) {
         String rmiUrls = PropertyUtil.extractAndLogProperty(RMI_URLS, properties);
         if (rmiUrls == null || rmiUrls.length() == 0) {
-            LOG.log(Level.INFO, "Starting manual peer provider with empty list of peers. " +
+            LOG.info("Starting manual peer provider with empty list of peers. " +
                     "No replication will occur unless peers are added.");
             rmiUrls = new String();
         }
@@ -86,9 +87,7 @@
             String rmiUrl = stringTokenizer.nextToken();
             rmiUrl = rmiUrl.trim();
             rmiPeerProvider.registerPeer(rmiUrl);
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Registering peer " + rmiUrl);
-            }
+            LOG.debug("Registering peer {}", rmiUrl);
         }
         return rmiPeerProvider;
     }
@@ -103,7 +102,7 @@
         if (hostName != null && hostName.length() != 0) {
             hostAddress = InetAddress.getByName(hostName);
             if (hostName.equals("localhost")) {
-                LOG.log(Level.WARNING, "Explicitly setting the multicast hostname to 'localhost' is not recommended. "
+                LOG.warn("Explicitly setting the multicast hostname to 'localhost' is not recommended. "
                         + "It will only work if all CacheManager peers are on the same machine.");
             }
         }
@@ -117,7 +116,7 @@
         Integer timeToLive;
         if (packetTimeToLiveString == null) {
             timeToLive = new Integer(1);
-            LOG.log(Level.FINE, "No TTL set. Setting it to the default of 1, which means packets are limited to the same subnet.");
+            LOG.debug("No TTL set. Setting it to the default of 1, which means packets are limited to the same subnet.");
         } else {
             timeToLive = new Integer(packetTimeToLiveString);
             if (timeToLive.intValue() < 0 || timeToLive.intValue() > MAXIMUM_TTL) {
Index: src/main/java/net/sf/ehcache/distribution/ManualRMICacheManagerPeerProvider.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/ManualRMICacheManagerPeerProvider.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/ManualRMICacheManagerPeerProvider.java	(working copy)
@@ -17,15 +17,16 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.Ehcache;
-
 import java.util.ArrayList;
 import java.util.Date;
 import java.util.Iterator;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.Ehcache;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A provider of Peer RMI addresses based off manual configuration.
@@ -39,7 +40,7 @@
  */
 public final class ManualRMICacheManagerPeerProvider extends RMICacheManagerPeerProvider {
 
-    private static final Logger LOG = Logger.getLogger(ManualRMICacheManagerPeerProvider.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(ManualRMICacheManagerPeerProvider.class);
 
     /**
      * Empty constructor.
@@ -94,16 +95,14 @@
                     cachePeer = lookupRemoteCachePeer(rmiUrl);
                     remoteCachePeers.add(cachePeer);
                 } catch (Exception e) {
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, "Looking up rmiUrl " + rmiUrl + " through exception " + e.getMessage()
+                    if (LOG.isDebugEnabled()) {
+                        LOG.debug("Looking up rmiUrl " + rmiUrl + " through exception " + e.getMessage()
                                 + ". This may be normal if a node has gone offline. Or it may indicate network connectivity"
                                 + " difficulties", e);
                     }
                 }
             } else {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "rmiUrl " + rmiUrl + " should never be stale for a manually configured cluster.");
-                }
+                LOG.debug("rmiUrl {} should never be stale for a manually configured cluster.", rmiUrl);
                 staleList.add(rmiUrl);
             }
 
Index: src/main/java/net/sf/ehcache/distribution/RMICachePeer.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/RMICachePeer.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/RMICachePeer.java	(working copy)
@@ -16,9 +16,6 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-
 import java.io.Serializable;
 import java.rmi.Remote;
 import java.rmi.RemoteException;
@@ -26,8 +23,12 @@
 import java.rmi.server.UnicastRemoteObject;
 import java.util.ArrayList;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * An RMI based implementation of <code>CachePeer</code>.
@@ -39,7 +40,7 @@
  */
 public class RMICachePeer extends UnicastRemoteObject implements CachePeer, Remote {
 
-    private static final Logger LOG = Logger.getLogger(RMICachePeer.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMICachePeer.class);
 
     private final String hostname;
     private final Integer rmiRegistryPort;
@@ -171,8 +172,8 @@
      */
     public void put(Element element) throws RemoteException, IllegalArgumentException, IllegalStateException {
         cache.put(element, true);
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "RMICachePeer for cache " + cache.getName() + ": remote put received. Element is: " + element);
+        if (LOG.isDebugEnabled()) {
+            LOG.debug("RMICachePeer for cache {}: remote put received. Element is: {}", cache.getName(), element);
         }
     }
 
@@ -186,9 +187,7 @@
      * @throws IllegalStateException
      */
     public final boolean remove(Serializable key) throws RemoteException, IllegalStateException {
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "RMICachePeer for cache " + cache.getName() + ": remote remove received for key: " + key);
-        }
+        LOG.debug("RMICachePeer for cache {}: remote remove received for key: {}", cache.getName(), key);
         return cache.remove(key, true);
     }
 
@@ -198,9 +197,7 @@
      * @throws IllegalStateException if the cache is not {@link net.sf.ehcache.Status#STATUS_ALIVE}
      */
     public final void removeAll() throws RemoteException, IllegalStateException {
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "RMICachePeer for cache " + cache.getName() + ": remote removeAll received");
-        }
+        LOG.debug("RMICachePeer for cache {}: remote removeAll received", cache.getName());
         cache.removeAll(true);
     }
 
@@ -219,7 +216,7 @@
             } else if (eventMessage.getEvent() == EventMessage.REMOVE_ALL) {
                 removeAll();
             } else {
-                LOG.log(Level.SEVERE, "Unknown event: " + eventMessage);
+                LOG.error("Unknown event: {}", eventMessage);
             }
         }
     }
Index: src/main/java/net/sf/ehcache/distribution/MulticastKeepaliveHeartbeatSender.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/MulticastKeepaliveHeartbeatSender.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/MulticastKeepaliveHeartbeatSender.java	(working copy)
@@ -16,8 +16,6 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.CacheManager;
-
 import java.io.IOException;
 import java.net.DatagramPacket;
 import java.net.InetAddress;
@@ -25,8 +23,11 @@
 import java.util.ArrayList;
 import java.util.Iterator;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheManager;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Sends heartbeats to a multicast group containing a compressed list of URLs.
@@ -50,7 +51,7 @@
 public final class MulticastKeepaliveHeartbeatSender {
 
 
-    private static final Logger LOG = Logger.getLogger(MulticastKeepaliveHeartbeatSender.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(MulticastKeepaliveHeartbeatSender.class);
 
     private static final int DEFAULT_HEARTBEAT_INTERVAL = 5000;
     private static final int MINIMUM_HEARTBEAT_INTERVAL = 1000;
@@ -145,14 +146,14 @@
                             }
                         } catch (InterruptedException e) {
                             if (!stopped) {
-                                LOG.log(Level.SEVERE, "Error receiving heartbeat. Initial cause was " + e.getMessage(), e);
+                                LOG.error("Error receiving heartbeat. Initial cause was " + e.getMessage(), e);
                             }
                         }
                     }
                 } catch (IOException e) {
-                    LOG.log(Level.FINE, "Error on multicast socket", e);
+                    LOG.debug("Error on multicast socket", e);
                 } catch (Throwable e) {
-                    LOG.log(Level.INFO, "Unexpected throwable in run thread. Continuing..." + e.getMessage(), e);
+                    LOG.info("Unexpected throwable in run thread. Continuing..." + e.getMessage(), e);
                 } finally {
                     closeSocket();
                 }
@@ -160,7 +161,7 @@
                     try {
                         sleep(heartBeatInterval);
                     } catch (InterruptedException e) {
-                        LOG.log(Level.SEVERE, "Sleep after error interrupted. Initial cause was " + e.getMessage(), e);
+                        LOG.error("Sleep after error interrupted. Initial cause was " + e.getMessage(), e);
                     }
                 }
             }
@@ -189,7 +190,7 @@
                     byte[] uncompressedUrlList = PayloadUtil.assembleUrlList(localCachePeersSubList);
                     byte[] compressedUrlList = PayloadUtil.gzip(uncompressedUrlList);
                     if (compressedUrlList.length > PayloadUtil.MTU) {
-                        LOG.log(Level.SEVERE, "Heartbeat is not working. Configure fewer caches for replication. " +
+                        LOG.error("Heartbeat is not working. Configure fewer caches for replication. " +
                                 "Size is " + compressedUrlList.length + " but should be no greater than" +
                                 PayloadUtil.MTU);
                     }
@@ -244,16 +245,16 @@
                     try {
                         socket.leaveGroup(groupMulticastAddress);
                     } catch (IOException e) {
-                        LOG.log(Level.SEVERE, "Error leaving multicast group. Message was " + e.getMessage());
+                        LOG.error("Error leaving multicast group. Message was " + e.getMessage());
                     }
                     socket.close();
                 }
             } catch (NoSuchMethodError e) {
-                LOG.log(Level.FINE, "socket.isClosed is not supported by JDK1.3");
+                LOG.debug("socket.isClosed is not supported by JDK1.3");
                 try {
                     socket.leaveGroup(groupMulticastAddress);
                 } catch (IOException ex) {
-                    LOG.log(Level.SEVERE, "Error leaving multicast group. Message was " + ex.getMessage());
+                    LOG.error("Error leaving multicast group. Message was " + ex.getMessage());
                 }
                 socket.close();
             }
@@ -270,7 +271,7 @@
      */
     public static void setHeartBeatInterval(long heartBeatInterval) {
         if (heartBeatInterval < MINIMUM_HEARTBEAT_INTERVAL) {
-            LOG.log(Level.WARNING, "Trying to set heartbeat interval too low. Using MINIMUM_HEARTBEAT_INTERVAL instead.");
+            LOG.warn("Trying to set heartbeat interval too low. Using MINIMUM_HEARTBEAT_INTERVAL instead.");
             MulticastKeepaliveHeartbeatSender.heartBeatInterval = MINIMUM_HEARTBEAT_INTERVAL;
         } else {
             MulticastKeepaliveHeartbeatSender.heartBeatInterval = heartBeatInterval;
Index: src/main/java/net/sf/ehcache/distribution/PayloadUtil.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/PayloadUtil.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/PayloadUtil.java	(working copy)
@@ -22,11 +22,12 @@
 import java.io.IOException;
 import java.rmi.RemoteException;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
 import java.util.zip.GZIPInputStream;
 import java.util.zip.GZIPOutputStream;
 
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 /**
  * This class provides utility methods for assembling and disassembling a heartbeat payload.
  * <p/>
@@ -53,7 +54,7 @@
      */
     public static final String URL_DELIMITER = "|";
 
-    private static final Logger LOG = Logger.getLogger(PayloadUtil.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(PayloadUtil.class);
 
 
     /**
@@ -77,7 +78,7 @@
             try {
                 rmiUrl = cachePeer.getUrl();
             } catch (RemoteException e) {
-                LOG.log(Level.SEVERE, "This should never be thrown as it is called locally");
+                LOG.error("This should never be thrown as it is called locally");
             }
             if (i != localCachePeers.size() - 1) {
                 sb.append(rmiUrl).append(URL_DELIMITER);
@@ -85,9 +86,7 @@
                 sb.append(rmiUrl);
             }
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Cache peers for this CacheManager to be advertised: " + sb);
-        }
+        LOG.debug("Cache peers for this CacheManager to be advertised: {}", sb);
         return sb.toString().getBytes();
     }
 
@@ -103,7 +102,7 @@
             gzipOutputStream.write(ungzipped);
             gzipOutputStream.close();
         } catch (IOException e) {
-            LOG.log(Level.SEVERE, "Could not gzip " + ungzipped);
+            LOG.error("Could not gzip {}", ungzipped);
         }
         return bytes.toByteArray();
     }
@@ -135,7 +134,7 @@
             inputStream.close();
             byteArrayOutputStream.close();
         } catch (IOException e) {
-            LOG.log(Level.SEVERE, "Could not ungzip. Heartbeat will not be working. " + e.getMessage());
+            LOG.error("Could not ungzip. Heartbeat will not be working. {}", e.getMessage());
         }
         return ungzipped;
     }
